# 機器の設置を依頼する ![](https://docs.equinix.com/ja/assets/images/OrderEquipmentInstallation-cd03635f3bb234dd0b73c67a751046ad.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. Smart Handsの詳細を取得するには、権限が必要です。`Smart Hands` 2. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 3. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 4. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## 設備導入の発注 - 最小限の例[​](#設備導入の発注---最小限の例 "への直接リンク設備導入の発注 - 最小限の例") Equinix IBX技術者による機器の設置を発注するには、エンドポイントにリクエストを[`/v1/orders/smarthands/equipmentInstall`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md)送信してください。`POST`リクエストの本文でインストール要件を指定してください。 サンプルcURLリクエスト: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/equipmentInstall" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "deviceLocation": "DHL tracking no. 1039 5739 92",     "elevationDrawingAttached": false,     "installationPoint": "Front and center.",     "patchDevices": true,     "patchingInfo": "When patching use the next available port, but maintain a symmetrical appearance.",     "powerItOn": true,     "mountHardwareIncluded": true,     "installedEquipmentPhotoRequired": true,     "scopeOfWork": "When installing make sure wires are all labeled."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "userName": "johndoe",         "workPhonePrefToCall": "ANYTIME"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     }   ] }' ``` 回答例 ``` { "OrderNumber": "1-190986534844" } ``` 応答は注文が成功したことを示し、注文番号を返します。 ## 機器設置のご注文 - 拡張例[​](#機器設置のご注文---拡張例 "への直接リンク機器設置のご注文 - 拡張例") Equinix IBX技術者による機器の設置を発注するには、エンドポイントにリクエストを[`/v1/orders/smarthands/equipmentInstall`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md)送信してください。`POST`リクエストの本文でインストール要件を指定してください。オブジェクトを使用して、`attachments`技術者の追加詳細を含めることができます。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/equipmentInstall" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [             "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "deviceLocation": "DHL tracking no. 1039 5739 92",     "elevationDrawingAttached": true,     "installationPoint": "Front and center.",     "patchDevices": true,     "patchingInfo": "When patching use the next available port, but maintain a symmetrical appearance.",     "powerItOn": true,     "mountHardwareIncluded": true,     "installedEquipmentPhotoRequired": true,     "scopeOfWork": "When installing make sure wires are all labeled.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {         "id": "fcb4a673-6308-456e-8f83-f745501d60ba",         "name": "Elevation drawing.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {         "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",         "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "janesmith"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/handlesmarthandorder.md)参照してください。